CK_EPOCH_UNREGISTER(3)

NAME
ck_epoch_unregister - unregister a thread for epoch reclamation

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_epoch.h>
void
ck_epoch_unregister(ck_epoch_record_t *record);

DESCRIPTION
The ck_epoch_unregister(3) function allows for the record pointed by the record pointer to be used as a return value by the ck_epoch_recycle(3) function. This record can now be used by another thread of execution. Behavior is undefined if the object pointed by record is modified in any way, even after a call is made to the ck_epoch_unregister(3) function.

RETURN VALUES
This function has no return value.

SEE ALSO
ck_epoch_init(3), ck_epoch_register(3), ck_epoch_recycle(3), ck_epoch_poll(3), ck_epoch_synchronize(3), ck_epoch_reclaim(3), ck_epoch_barrier(3), ck_epoch_call(3), ck_epoch_begin(3), ck_epoch_end(3)

Additional information available at http://concurrencykit.org/